Bug 135159 - lines don't refresh and scrolling wraps in middle of terminal
lines don't refresh and scrolling wraps in middle of terminal
Product: Fedora
Classification: Fedora
Component: nano (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On: 1365759
  Show dependency treegraph
Reported: 2004-10-09 10:07 EDT by Jan Wagner
Modified: 2016-08-30 09:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 10:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Wagner 2004-10-09 10:07:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040904 Firefox/0.9.3

Description of problem:
When I edit any text file that is longer than the current
gnome-terminal window and scroll down beyond the page (cursor keys),
the text scrolling starts only from the middle of the terminal text.
The upper half remains static. I.e. the text scrolls in the lower half
only. In addition, scrolled-in lines overwrite the current text but
don't clear the remainder of the line => mess. Same thing when
scrolling upwards, though opposite (lower half static, upper 'scrolls'
to a mess).
vi, vim and emacs work just fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. nano anyLongTextDocument

Expected Results:  Proper scrolling of entire visible text, and clean
line clears.

Additional info:
Comment 1 Per Bjornsson 2004-10-21 12:06:33 EDT
I see this too in a gnome-terminal window, but it actually works OK in
a plain xterm. Nano worked fine in gnome-terminal in FC2; has the
redrawing somehow been optimized in a way that works in xterm but
doesn't in gnome-terminal?

Clearly nano has a correct idea of what should be on the screen
somewhere, since a terminal refresh (^L) gives the correct screen

(Same nano version, 1.2.4-1, still in Rawhide as of 10/21/04)
Comment 2 Per Bjornsson 2004-11-11 13:58:48 EST
This appears to be a duplicate of #127972. I put a comment in that
bug; I think that the problem is fixed in Rawhide vte. 
Comment 3 Alexandre Strube 2005-04-21 11:39:26 EDT
does this have to do with ncurses bug which prevents home and end keys to work?
Was it fixed?
Comment 4 Alejandro Gonzalez Hernandez - Imoq 2005-04-21 12:35:22 EDT
This is, indeed, a duplicate of bug #127972 and should be closed as "DUPLICATE".
Comment 5 Matthew Miller 2006-07-10 16:09:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:19:26 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.